SnmpSystemGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.SnmpSystemGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface SnmpSystemGroup

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface SnmpSystemGroup

extends LogicalElement

Contains all information picked up from the SNMP MIB2 system group

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  SNMPSYS
Display Name:
  sysName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`ComputerSystem` | `getParent()`
`java.lang.String` | `getSysContact()`
`java.lang.String` | `getSysDescr()`
`java.lang.String` | `getSysLocation()`
`java.lang.String` | `getSysName()`
`java.lang.String` | `getSysObjectId()`
`boolean` | `hasParent()`
`boolean` | `hasSysContact()`
`boolean` | `hasSysDescr()`
`boolean` | `hasSysLocation()`
`boolean` | `hasSysName()`
`boolean` | `hasSysObjectId()`
`void` | `setParent(ComputerSystem parent)`
`void` | `setSysContact(java.lang.String s)`
`void` | `setSysDescr(java.lang.String descr)`
`void` | `setSysLocation(java.lang.String s)`
`void` | `setSysName(java.lang.String s)`
`void` | `setSysObjectId(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    ComputerSystem getParent()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.GivesDetails" reverse="true"

### setParent

    void setParent(ComputerSystem parent)

### hasParent

    boolean hasParent()

### getSysName

    java.lang.String getSysName()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSysName

    void setSysName(java.lang.String s)

### hasSysName

    boolean hasSysName()

### getSysDescr

    java.lang.String getSysDescr()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSysDescr

    void setSysDescr(java.lang.String descr)

### hasSysDescr

    boolean hasSysDescr()

### getSysObjectId

    java.lang.String getSysObjectId()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSysObjectId

    void setSysObjectId(java.lang.String s)

### hasSysObjectId

    boolean hasSysObjectId()

### getSysContact

    java.lang.String getSysContact()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSysContact

    void setSysContact(java.lang.String s)

### hasSysContact

    boolean hasSysContact()

### getSysLocation

    java.lang.String getSysLocation()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSysLocation

    void setSysLocation(java.lang.String s)

### hasSysLocation

    boolean hasSysLocation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD